Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.ws.scheduling
Class JobRepositoryDestination

    java.lang.Object
      com.jaspersoft.jasperserver.ws.scheduling.JobRepositoryDestination

All Implemented Interfaces:
  java.io.Serializable

    public class JobRepositoryDestination

extends java.lang.Object
implements java.io.Serializable

JobRepositoryDestination.java This file was auto-generated from WSDL by the Apache Axis 1.3 Oct 05, 2005 (05:23:37 EDT) WSDL2Java emitter.

See Also:
  Serialized Form

Constructor Summary
`JobRepositoryDestination()`
`JobRepositoryDestination(long id, int version, java.lang.String folderURI, boolean sequentialFilenames, boolean overwriteFiles)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getFolderURI()` Gets the folderURI value for this JobRepositoryDestination.
`long` | `getId()` Gets the id value for this JobRepositoryDestination.
`int` | `getVersion()` Gets the version value for this JobRepositoryDestination.
`int` | `hashCode()`
`boolean` | `isOverwriteFiles()` Gets the overwriteFiles value for this JobRepositoryDestination.
`boolean` | `isSequentialFilenames()` Gets the sequentialFilenames value for this JobRepositoryDestination.
`void` | `setFolderURI(java.lang.String folderURI)` Sets the folderURI value for this JobRepositoryDestination.
`void` | `setId(long id)` Sets the id value for this JobRepositoryDestination.
`void` | `setOverwriteFiles(boolean overwriteFiles)` Sets the overwriteFiles value for this JobRepositoryDestination.
`void` | `setSequentialFilenames(boolean sequentialFilenames)` Sets the sequentialFilenames value for this JobRepositoryDestination.
`void` | `setVersion(int version)` Sets the version value for this JobRepositoryDestination.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobRepositoryDestination

    public JobRepositoryDestination()

### JobRepositoryDestination

    public JobRepositoryDestination(long id,
                                    int version,
                                    java.lang.String folderURI,
                                    boolean sequentialFilenames,
                                    boolean overwriteFiles)

Method Detail

### getId

    public long getId()

  Gets the id value for this JobRepositoryDestination.

  Returns:
    id

### setId

    public void setId(long id)

  Sets the id value for this JobRepositoryDestination.

  Parameters:
    `id` -

### getVersion

    public int getVersion()

  Gets the version value for this JobRepositoryDestination.

  Returns:
    version

### setVersion

    public void setVersion(int version)

  Sets the version value for this JobRepositoryDestination.

  Parameters:
    `version` -

### getFolderURI

    public java.lang.String getFolderURI()

  Gets the folderURI value for this JobRepositoryDestination.

  Returns:
    folderURI

### setFolderURI

    public void setFolderURI(java.lang.String folderURI)

  Sets the folderURI value for this JobRepositoryDestination.

  Parameters:
    `folderURI` -

### isSequentialFilenames

    public boolean isSequentialFilenames()

  Gets the sequentialFilenames value for this JobRepositoryDestination.

  Returns:
    sequentialFilenames

### setSequentialFilenames

    public void setSequentialFilenames(boolean sequentialFilenames)

  Sets the sequentialFilenames value for this JobRepositoryDestination.

  Parameters:
    `sequentialFilenames` -

### isOverwriteFiles

    public boolean isOverwriteFiles()

  Gets the overwriteFiles value for this JobRepositoryDestination.

  Returns:
    overwriteFiles

### setOverwriteFiles

    public void setOverwriteFiles(boolean overwriteFiles)

  Sets the overwriteFiles value for this JobRepositoryDestination.

  Parameters:
    `overwriteFiles` -

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.